libgimpprint API Reference: include/gimp-print/array.h Source File

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# include/gimp-print/array.h

Go to the documentation of this file.

    00001 /*
    00002  * "$Id: array_8h-source.html,v 1.1.1.2 2004/12/22 23:48:56 jlovell Exp $"
    00003  *
    00004  *   Copyright 2003 Roger Leigh (rleigh@debian.org)
    00005  *
    00006  *   This program is free software; you can redistribute it and/or modify it
    00007  *   under the terms of the GNU General Public License as published by the Free
    00008  *   Software Foundation; either version 2 of the License, or (at your option)
    00009  *   any later version.
    00010  *
    00011  *   This program is distributed in the hope that it will be useful, but
    00012  *   WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    00013  *   or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    00014  *   for more details.
    00015  *
    00016  *   You should have received a copy of the GNU General Public License
    00017  *   along with this program; if not, write to the Free Software
    00018  *   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
    00019  */
    00020
    00026 /*
    00027  * This file must include only standard C header files.  The core code must
    00028  * compile on generic platforms that don't support glib, gimp, gimpprint, etc.
    00029  */
    00030
    00031 #ifndef GIMP_PRINT_ARRAY_H
    00032 #define GIMP_PRINT_ARRAY_H
    00033
    00034 #ifdef __cplusplus
    00035 extern "C" {
    00036 #endif
    00037
    00038 #include <gimp-print/sequence.h>
    00039
    00040
    00050 struct stp_array;
    00052 typedef struct stp_array stp_array_t;
    00053
    00061 extern stp_array_t *stp_array_create(int x_size, int y_size);
    00062
    00068 extern void stp_array_destroy(stp_array_t *array);
    00069
    00077 extern void stp_array_copy(stp_array_t *dest, const stp_array_t *source);
    00078
    00087 extern stp_array_t *stp_array_create_copy(const stp_array_t *array);
    00088
    00096 extern void stp_array_set_size(stp_array_t *array, int x_size, int y_size);
    00097
    00106 extern void stp_array_get_size(const stp_array_t *array, int *x_size, int *y_size);
    00107
    00115 extern void stp_array_set_data(stp_array_t *array, const double *data);
    00116
    00131 extern void stp_array_get_data(const stp_array_t *array, size_t *size,
    00132                                const double **data);
    00133
    00142 extern int stp_array_set_point(stp_array_t *array, int x, int y,
    00143                                double data);
    00144
    00153 extern int stp_array_get_point(const stp_array_t *array, int x, int y,
    00154                                double *data);
    00155
    00161 extern const stp_sequence_t *stp_array_get_sequence(const stp_array_t *array);
    00162
    00165 #ifdef __cplusplus
    00166   }
    00167 #endif
    00168
    00169 #endif /* GIMP_PRINT_ARRAY_H */